var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-39047EF9-139A-42E1-9632-3521829EF643\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: SnapPivot</h1></div><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .HitSize : integer : Read|Write</code></pre><p>Gets or sets the size of the hit point for the working pivot in interactive mode.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .GizmoSize : float : Read|Write</code></pre><p>Gets or sets the size of the preview gizomo for the working pivot when the mouse moves over the mesh in interactive mode.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;void&gt;BoundsMarker &lt;integer&gt;location &lt;integer&gt;type\n\
       BoundsMarker - no automatic redraw after invoked</code></pre><p>Controls the display of the working pivot bounding volume markers.  </p>\n\
<p>The <code>location</code> parameter can be one of:</p>\n\
<ul>\n\
<li>0 = corner points</li>\n\
<li>1 = edge mid points</li>\n\
<li>2 = center points</li>\n\
</ul>\n\
<p>The <code>type</code> parameter specifies the point display, which can be:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">0 = POINT_MRKR, A single pixel on the display.\n\
1 = HOLLOW_BOX_MRKR, A small box centered on the point.\n\
2 = PLUS_SIGN_MRKR, A plug sign  at the point.\n\
3 = ASTERISK_MRKR, An asterisk  at the point.\n\
4 = X_MRKR, An X at the point.\n\
5 = BIG_BOX_MRKR, A large box centered on the point.\n\
6 = CIRCLE_MRKR, A circle at the point.\n\
7 = TRIANGLE_MRKR, A triangle centered on the point.\n\
8 = DIAMOND_MRKR, A diamond centered on the point.\n\
9 = SM_HOLLOW_BOX_MRKR, A hollow box at the point.\n\
10 = SM_CIRCLE_MRKR, A small circle at the point.\n\
11 = SM_TRIANGLE_MRKR, A small triangle centered on the point.\n\
12 = SM_DIAMOND_MRKR, A small diamond centered on the point.\n\
13 = DOT_MRKR, //!&lt; A large dot.\n\
14 = SM_DOT_MRKR, //!&lt; A smaller dot.\n\
15 = BOX2_MRKR,\n\
16 = BOX3_MRKR,\n\
17 = BOX4_MRKR,\n\
18 = BOX5_MRKR,\n\
19 = BOX6_MRKR,\n\
20 = BOX7_MRKR,\n\
21 = DOT2_MRKR,\n\
22 = DOT3_MRKR,\n\
23 = DOT4_MRKR,\n\
24 = DOT5_MRKR,\n\
25 = DOT6_MRKR,\n\
26 = DOT7_MRKR</code></pre><p>   Actions:</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../S.html\">S</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";