var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B3E2DBEF-5B72-495C-AEBF-3F4AAAC90824\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface : SecurityTools</h1></div><p>The <code>SecurityTools</code> interface exposes scripting functionality for the 3ds Max Security Tools plug-in.  Note that while this plug-in is included with 3ds Max, it is also available on the Autodesk App Store, and newer versions can be installed, which expose more or different methods.  Some versions of the Security Tools do not expose this interface at all.</p>\n\
<h2 id=\"properties-\">Properties:</h2><p>None</p>\n\
<h2 id=\"methods-\">Methods:</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetDisplayUpdateNotification()\n\
    GetDisplayUpdateNotification - no automatic redraw after invoked</code></pre><p>Gets whether the Security Tools notifies you when a new version is available for download.  This corresponds to the <strong>Notify me about updates</strong> setting on the <strong>Security</strong> tab of the Preferences dialog.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetDisplayUpdateNotification &lt;boolean&gt;display\n\
    SetDisplayUpdateNotification - no automatic redraw after invoked</code></pre><p>Sets whether the Security Tools notifies you when a new version is available for download.  This corresponds to the <strong>Notify me about updates</strong> setting on the <strong>Security</strong> tab of the Preferences dialog.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetProblemFoundCount()\n\
    GetProblemFoundCount - no automatic redraw after invoked</code></pre><p>Returns the number of potential malware infections found.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetProblemFixedCount()\n\
    GetProblemFixedCount - no automatic redraw after invoked</code></pre><p>Returns the number of potential malware infections fixed.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LogEventById &lt;enum&gt;eventId &lt;enum&gt;eventValue\n\
    LogEventById - no automatic redraw after invoked\n\
    eventId enums: {#EnvironmentALC|#SceneLoadALC|#SceneSaveALC|#EnvironmentALC2|#SceneLoadALC2|#SceneSaveALC2|#EnvironmentCRP|#SceneLoadCRP|#SceneSaveCRP|#EnvironmentADSL|#SceneLoadADSL|#SceneSaveADSL|#EnvironmentPhysXPluginMfx|#SceneLoadPhysXPluginMfx|#SceneSavePhysXPluginMfx|#EnvironmentPhysXPluginMfx2|#SceneLoadPhysXPluginMfx2|#SceneSavePhysXPluginMfx2|#SecurityToolsStatus}\n\
    eventValue enums: {#CleanupSucceeded|#CleanupDeclined|#CleanupFailed|#Disabled|#Enabled}</code></pre><p>For internal use only.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ShowProductHelpForTopic &lt;value&gt;helpContextId\n\
    ShowProductHelpForTopic - no automatic redraw after invoked</code></pre><p>For internal use only.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-Interfaces-1.html\">Other Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";