var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F0BC99C8-312D-438B-9B06-C5A6BD85A4D5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CompoundIO : textureMap</h1></div><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">CompoundIO - superclass: textureMap; super-superclass:material - 6:3 - classID: #(1366243801L, 590182704L); creatable: false</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../../What-is-New-in-MAXScript/What-s-New-in-MAXScript-in-3ds.html\"\">NEW</a> <strong>in 3ds Max 2024:</strong>\n\
Exposes the input and output channels for SME Compound nodes.  These appear as independent nodes in the Slate Material Editor.</p>\n\
<h2 id=\"properties\">Properties</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;CompoundIO&gt;.direction     Integer    default: 0   --  integer</code></pre><p>Returns the direction of the channel, where:</p>\n\
<ul>\n\
<li>0 = input</li>\n\
<li>1 = output</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;CompoundIO&gt;.external_connection     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Returns the CompoundIndexedConnection for the channel&apos;s internal connection.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;CompoundIO&gt;.internal_connections     ArrayParameter    default: #()   --  maxObject array</code></pre><p>Returns an array of CompoundIndexedConnection objects for the channel&apos;s external connection.</p>\n\
<h2 id=\"interfaces\">Interfaces</h2><p>CompoundIO interfaces:</p>\n\
<h3 id=\"interface-compoundio\">Interface: compoundio</h3><h4 id=\"properties-\">Properties:</h4><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .name : string : Read|Write</code></pre><p>Gets/sets the name for the channel.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .type : enum : Read|Write\n\
       type enums: {#material|#texturemap}</code></pre><p>Returns the data type for the channel.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .compoundMember : Interface : Read</code></pre><p>Returns the <a href=\"CompoundMember.html\"\"><code>CompoundMember</code></a> interface for the channel.</p>\n\
<h4 id=\"methods-\">Methods:</h4><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;Interface&gt;connect &lt;maxObject&gt;ref &lt;index&gt;index</code></pre><p>Connects the channel at the specified <code>index</code> on the specified object <code>ref</code> to the channel, and returns an a <a href=\"CompoundIndexedConnection.html\"\"><code>CompoundIndexedConnection</code></a> object for the connection.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;disConnect &lt;Interface&gt;connection</code></pre><p>Disconnects the specified <code>connection</code> (a <a href=\"CompoundIndexedConnection.html\"\"><code>CompoundIndexedConnection</code></a> object).</p>\n\
<p>   Actions:</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Types.html\">Material Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";