var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-473FDB9A-18EE-4340-B9F3-E7536841468A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript File Types</h1></div><p>MAXScript code can be found in several different &quot;types&quot; of files, with the extension indicating what sort of file it is, or how it is handled by 3ds Max.</p>\n\
<p>Supported MAXScript extensions are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Extension</th>\n\
<th>Description</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>.mxs</td>\n\
<td>A MAXScript script file, recognized by the Script Editor, but not loaded at startup.</td>\n\
</tr>\n\
<tr>\n\
<td>.ms</td>\n\
<td>A MAXScript script file, recognized by the Script Editor, and loaded at startup if saved in one of the <a href=\"Startup-Scripts.html\"\">startup script locations</a>.</td>\n\
</tr>\n\
<tr>\n\
<td>.mcr</td>\n\
<td>A MAXScript <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Macro-Scripts/Macro-Scripts-1.html\"\">macro script</a>.</td>\n\
</tr>\n\
<tr>\n\
<td>.mse</td>\n\
<td>A MAXScript script file, encrypted to protect its contents using the <a href=\"Encrypting-Script-Files.html\"\">encryptScript</a> command, and loaded at startup if saved in one of the <a href=\"Startup-Scripts.html\"\">startup script locations</a>.</td>\n\
</tr>\n\
<tr>\n\
<td>.mzp</td>\n\
<td>A MAXScript <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/Zip-file-Packaging-and-Drag-And/Zip-file-Script-Packages.html\"\">zip file package</a>.</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-MAXScript-Topics.html\">General MAXScript Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";