var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B19682EB-8A8C-4D4B-9596-56571F490754\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripting Editor - Options Menu</h1></div><p>The <strong>Options menu</strong> of the <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">Tabbed Scripting Editor</a> introduced in <strong>3ds Max 2008</strong> contains options to control various behaviors of the Editor as well as commands for fixing line end characters, changing indentation settings and switching between proportional and monospaced font display.</p>\n\
<p><img src=\"./images/scripting_editor_options_menu.png\" alt></p>\n\
<ul>\n\
<li><p><strong>Always On Top</strong> - Unchecked by default. When checked, forces the Scripting Editor to stay on top of all windows including other <strong>3ds Max</strong> floaters and any other applications.</p>\n\
</li>\n\
<li><p><strong>Vertical Split</strong> - Unchecked by default. When checked, the Output Pane will be placed at the right side of the Editor Pane. When unchecked, it will be at the bottom.</p>\n\
</li>\n\
<li><p><strong>Wrap</strong> - When unchecked (default), lines longer than the width of the Editor Pane will only be displayed partially. When checked, text lines longer than the width of the Editor Pane will be wrapped and shown as multiple lines, allowing you to see all the text.</p>\n\
</li>\n\
<li><p><strong>Wrap Output</strong> - When unchecked (default), lines longer than the width of the Output Pane will only be displayed partially. When checked, text lines longer than the width of the Output Pane will be wrapped and shown as multiple lines, allowing you to see all the text.</p>\n\
</li>\n\
<li><p><strong>Read-Only</strong> - Unchecked by default. When checked, the current document will be made read-only - typing into it will be disabled, but you will be able to select and copy text from it.</p>\n\
</li>\n\
<li><p><strong>Fixup Line End Characters</strong> - corrects the Line End characters by adding an LF where the line ends with CR only.</p>\n\
</li>\n\
<li><p><strong>Change Indentation Settings... (CTRL+SHIFT+I)</strong> - opens a dialog controlling the type and number of the indentation characters.</p>\n\
<p>  <img src=\"./images/scripting_editor_indent_settings.png\" alt></p>\n\
<ul>\n\
<li><strong>Tab Size</strong> - defines the width of a tab measured in space characters. Default is 4.        </li>\n\
<li><strong>Indent Size</strong> - defines the number of spaces to use for indentation when tabs are not used. Default is 4.        </li>\n\
<li><strong>Use Tabs</strong> - when checked, tabs of the specified size will be used to indent code automatically or when the <strong>TAB</strong> key is pressed. When unchecked, spaces of the specified count will be inserted instead.        </li>\n\
<li><strong>Convert</strong> - press this button to convert tabs to spaces in the beginning of a line when <strong>Use Tabs</strong> is unchecked and spaces to tabs when <strong>Use Tabs</strong> is checked.</li>\n\
</ul>\n\
</li>\n\
</ul>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Indentation settings configured using this dialog only apply to the currently active tab, and do not persist between 3ds Max sessions.</p>\n\
\n\
</div></div>\n\
\n\
<ul>\n\
<li><strong>Use Monospaced Font (CTRL+F11)</strong> - toggles between proportional and monospaced fonts. In the latter case, all characters have the same pixel size so all lines align perfectly.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Menu-Options.html\">Scripting Editor Menu Options</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";