var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F0B3414D-BA92-4005-AD35-CE1ACDB354B8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripting Editor - View Menu</h1></div><p>The <strong>View menu</strong> of the <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">Tabbed Scripting Editor</a> introduced in <strong>3ds Max 2008</strong> contains commands for folding/unfolding code blocks, toggling various editor elements and displaying additional editing helps like whites paces, end of line symbols, indentation guides, line numbers and margins.</p>\n\
<p><img src=\"./images/scripting_editor_view_menu.png\" alt=\"\"></p>\n\
<ul>\n\
<li><p><strong>Toggle current fold</strong> - folds/unfolds the code block the cursor currently resides in.</p>\n\
</li>\n\
<li><p><strong>Toggle all folds</strong> - folds/unfolds all code blocks in the document, regardless of their current state. In other words, if a script contains 10 possible folds and 5 of them are folded and 5 are not, this command will not invert their current folding but either fold all or unfold all.</p>\n\
</li>\n\
<li><p><strong>Full Screen (F11)</strong> - opens the Editor on the whole screen, removing the title bar to provide even more editing space. Press again to toggle back to normal window.</p>\n\
</li>\n\
<li><p><strong>Toolbar</strong> -unchecked by default. When checked, a toolbar with the most important commands represented in icon form will be displayed - New, Open, Save, Close, Print, Cut, Copy, Paste, Delete, Undo, Redo, Find and Replace.</p>\n\
<p>  <img src=\"./images/scripting_editor_toolbar.png\" alt=\"\"></p>\n\
</li>\n\
<li><p><strong>Tab Bar</strong> -checked by default, the tab bar displays all currently opened files as tabs. Even when the tab bar is not displayed, you can use the shortcuts or the Windows menu to switch between tabs.</p>\n\
</li>\n\
<li><p><strong>Status Bar</strong> -checked by default.</p>\n\
<ul>\n\
<li><p>The default status bar displays the line (li), column (co), offset, insert/overwrite mode and end of line characters mode.</p>\n\
</li>\n\
<li><p>Multiple status bars can be defined and display different information. By default, there are 4 pre-defined status bars which can be switched by clicking on the status bar.</p>\n\
</li>\n\
<li><p>All status bars can be customized and new status bars can be defined - see <a href=\"./../MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-3.html\">Scripting Editor - Defining Custom Status Bars</a> for details.</p>\n\
</li>\n\
</ul>\n\
</li>\n\
<li><p><strong>Whitespace (CTRL+SHIFT+8)</strong> -unchecked by default. When checked, white spaces like tabs and spaces will be displayed as symbols.</p>\n\
<p>  <img src=\"./images/scripting_editor_view_default.png\" alt=\"\"></p>\n\
<p>  <img src=\"./images/scripting_editor_view_whitespace.png\" alt=\"\"></p>\n\
</li>\n\
<li><p><strong>End Of Line (CTRL+SHIFT+9)</strong> -unchecked by default. When checked, end of line characters will be displayed:</p>\n\
<p>  <img src=\"./images/scripting_editor_view_eol.png\" alt=\"\"></p>\n\
</li>\n\
<li><p><strong>Indentation Guides</strong> -checked by default. When unchecked, the vertical guides helping align brackets and indentation will not be drawn:</p>\n\
<p>  <img src=\"./images/scripting_editor_view_indents.png\" alt=\"\"></p>\n\
</li>\n\
<li><p><strong>Line Numbers</strong> - checked by default. When unchecked, no line numbers will be displayed in front of each line. The status bar could be used to read the current position.</p>\n\
<p>  <img src=\"./images/scripting_editor_view_line_numbers.png\" alt=\"\"></p>\n\
</li>\n\
<li><p><strong>Margin</strong> - checked by default. The margin is used to display the Bookmarks.</p>\n\
<p>  <img src=\"./images/scripting_editor_view_bookmarks.png\" alt=\"\"></p>\n\
<ul>\n\
<li><p>When unchecked, the margin will be disabled. To keep Bookmarks visible, the Editor will color the Bookmarked lines&#39; background - you can still use <strong>F2</strong>/<strong>SHIFT+F2</strong> to jump to the next / previous Bookmark and so on.</p>\n\
<p>  <img src=\"./images/scripting_editor_view_margins.png\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
</li>\n\
<li><p><strong>Fold Margin</strong> - checked by default. When unchecked, the fold margin will not be displayed. You can still fold the current code block or all code blocks using the menu commands or keyboard shortcuts, but you cannot click with the mouse on the fold +/- symbols anymore.</p>\n\
<p>  <img src=\"./images/scripting_editor_view_fold_margin.png\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Menu-Options.html\">Scripting Editor Menu Options</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";