var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BD4789AB-F742-4BFE-AE28-FF2C515D5288\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interacting with the 3ds Max User Interface</h1></div>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/3ds-MAX-Commands.html\">3ds MAX Commands</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/3ds-Max-User-Interface-Colors.html\">3ds Max User Interface Colors</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Action-Manager-and-Shortcut.html\">Action Manager and Shortcut System</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Active-Shade-Access.html\">Active Shade Access</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Color-Picker-Dialog.html\">Color Picker Dialog</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Command-Line-Rendering.html\">Command Line Rendering</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Command-Panels.html\">Command Panels</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Custom-User-Interface-Management.html\">Custom User Interface Management</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog.html\">Environment And Effects Dialog</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog.html\">FBX Import and Export Dialog</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Filters.html\">Filters</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Geometry-Checker.html\">Geometry Checker</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Keyboard-Entry.html\">Keyboard Entry</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Lighting-Analysis.html\">Lighting Analysis</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Macro-Scripts.html\">Macro Scripts</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Main-Toolbar.html\">Main Toolbar</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Material-Editor.html\">Material Editor</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/MAXScript-Message-and-Query.html\">MAXScript Message and Query Dialogs</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Menu-Manager.html\">Menu Manager</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Miscellaneous-Dialogs.html\">Miscellaneous Dialogs</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/MouseTrack.html\">MouseTrack</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Network-Render-Interface.html\">Network Render Interface</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Parameter-Wiring.html\">Parameter Wiring</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Picking-Scene-Nodes.html\">Picking Scene Nodes</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Plug-In-Manager.html\">Plug-In Manager</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Quad-Menu.html\">Quad Menu</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/RAMPlayer.html\">RAMPlayer</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Render-Scene-Dialog.html\">Render Scene Dialog</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Render-To-Texture.html\">Render To Texture</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/SchematicView.html\">SchematicView</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/State-Sets.html\">State Sets</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Status-Bar.html\">Status Bar</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Tabbed-Dialogs.html\">Tabbed Dialogs</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Time-Control.html\">Time Control</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Time-Tags.html\">Time Tags</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Trackbar.html\">Trackbar</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Track-View.html\">Track View</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Units.html\">Units</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Viewports.html\">Viewports</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Vertex-Paint-Tools.html\">Vertex Paint Tools</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Interacting-with-the-3ds-Max/Welcome-Screen-Functions.html\">Welcome Screen Functions</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Tools-and-Interaction.html\">MAXScript Tools and Interaction with 3ds Max</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";