var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"./scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6B55BDA6-7A44-4910-9650-C65CA1457343\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Script Examples In This Help</h1></div><p>The following sample scripts can be found at various places in this Help as illustrations of certain features. They could be used directly or with small changes in the daily practice or as a starting point for your own scripts. This index should help you locate them quickly.</p>\n\
<h2 id=\"sample-scripts\">Sample Scripts</h2><h3 id=\"-a-href-guid-934d13d7-94e9-4481-8832-25a5b83c949f-html-my-first-utility-example-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-Clauses.html\"\">My First Utility Example</a></h3><p>Shows the creation of simple Scripted Utility.</p>\n\
<h3 id=\"-a-href-guid-90843ec5-ae3a-43eb-9406-a3631daeadef-html-skyscraper-extrusion-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Interface-EditablePoly.html\"\">Skyscraper Extrusion</a></h3><p>Illustrates the usage of EditablePoly extrusion functions</p>\n\
<h3 id=\"-a-href-guid-9394c031-25fb-434b-a744-a587c5d99c6a-html-atmospheric-effects-test-bed-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Atmospheric-MAXWrapper/Working-with-Atmospherics.html\"\">Atmospheric Effects Test Bed</a></h3><p>Illustrates the creation of Atmospheric effects.</p>\n\
<h3 id=\"-a-href-guid-9f6abee1-0728-4b39-8903-d909634c1304-html-custom-compositing-example-a-\"><a href=\"MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\"\">Custom Compositing Example</a></h3><p>Shows how to combine two images into one, in this case for anaglyph (red/cyan) stereo display.</p>\n\
<h3 id=\"-a-href-guid-9f6abee1-0728-4b39-8903-d909634c1304-html-save-multi-frame-image-file-a-\"><a href=\"MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\"\">Save Multi-Frame Image File</a></h3><p>Shows the correct way for saving multi-frame image files.</p>\n\
<h3 id=\"-a-href-guid-9f6abee1-0728-4b39-8903-d909634c1304-html-convert-bitmap-to-script-a-\"><a href=\"MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\"\">Convert Bitmap to Script</a></h3><p>Shows a way to convert a bitmap to MAXScript in order to distribute bitmaps as part of the script code.</p>\n\
<h3 id=\"-a-href-guid-def2cdbf-c729-46b9-bc0d-f030e255e3a7-html-netrender-examples-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NetRender.html\"\">NetRender Examples</a></h3><p>Shows the correct way to work with the NetRender interfaces.</p>\n\
<h3 id=\"-a-href-guid-8c8aa5d7-5c8d-44c5-baed-ba8ec10c59fc-html-trackbarkeylimit-a-\"><a href=\"MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Exploring-the-Trackbar-Filter/Trackbar-Keys-Filter-Callback.html\"\">TrackBarKeyLimit</a></h3><p>Implements a limit spinner to control the number of keys allowed to be displayed in TrackBar using a trackbar filter callback function.</p>\n\
<h2 id=\"scripted-functions\">Scripted Functions</h2><h3 id=\"-a-href-guid-ca252e0a-3eb7-4ddd-9e9a-19b95e592902-html-applyplanarmap-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Working-with-Editable-Meshes-1.html\"\">ApplyPlanarMap</a></h3><p>Shows the application of planar mapping</p>\n\
<h3 id=\"-a-href-guid-b94a1094-002c-4a7d-b5dd-af5ab3435041-html-calculatevolumeandcenterofmass-a-\"><a href=\"Frequently-Asked-Questions/Practical-Questions/Working-with-MAXScript-Values/How-do-I-calculate-the-Volume-of.html\"\">CalculateVolumeAndCenterOfMass</a></h3><p>Reimplements the Measure Utility&#39;s functionality for finding the Volume and Center Of Mass of Geometry Objects.</p>\n\
<h3 id=\"-a-href-guid-48069d3b-6faf-42bc-944f-761ba9ee70f3-html-drawlinebetweentwopoints-drawlinebetweentwopoints-a-\"><a href=\"Frequently-Asked-Questions/Practical-Questions/Working-with-Scene-Nodes/How-do-I-create-a-line-between.html\"#drawLineBetweenTwoPoints\">drawLineBetweenTwoPoints</a></h3><p>Shows how to create a simple line between two points in space.</p>\n\
<h3 id=\"-a-href-guid-2616ce55-ce46-404b-8bb9-2c7e4d379d8c-html-edgeverts-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Edge-Methods.html\"\">EdgeVerts</a></h3><p>Returns the two vertices used by an edge in an Editable Mesh.</p>\n\
<h3 id=\"-a-href-3ds-max-objects-and-interfaces-editable-meshes-splines-patches-editable_mesh-and-trimesh-working-with-editable-meshes-1-html-flipobjnormal-a-\"><a href=\"./3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Working-with-Editable-Meshes-1.html\">FlipObjNormal</a></h3><p>Flips all normals of an Editable Mesh by reversing vertex order.</p>\n\
<h3 id=\"-a-href-guid-887d3a2c-64cb-4aaa-a6e9-ffc73455cdad-html-getlocalfacerotation-getlocalfacerotation-a-\"><a href=\"Frequently-Asked-Questions/Practical-Questions/Working-with-Editable-Meshes/How-do-I-Get-the-Local-Rotation.html\"#getLocalFaceRotation\">getLocalFaceRotation</a></h3><p>Returns the local face rotation as displayed in the Transform Type-In.</p>\n\
<h3 id=\"-a-href-maxscript-tools-and-interaction-file-access-external-files-access-external-file-methods-html-getfilesrecursive-a-\"><a href=\"./MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\">getFilesRecursive</a></h3><p>Returns all files matching a pattern from a given root and all its sub-directories.</p>\n\
<h3 id=\"-a-href-guid-9eeff581-95cc-4d3c-887f-a7e1b2752c4f-html-timefromsolartime-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/System-Node/Daylight-System.html\"\">TimeFromSolarTime</a></h3><p>Returns the time value stored in a <code>Daylight_Driven_Controller</code></p>\n\
<h3 id=\"-a-href-guid-58d1f8b6-0012-4727-aa29-b2c79ea46e16-html-getfacesmoothgroupb-getfacesmoothgroupb-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Face-Methods.html\"#getFaceSmoothGroupB\">getFaceSmoothGroupB</a></h3><p>Gets the Editable Mesh Smoothing Groups</p>\n\
<h3 id=\"-a-href-guid-58d1f8b6-0012-4727-aa29-b2c79ea46e16-html-setfacesmoothgroupb-setfacesmoothgroupb-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Face-Methods.html\"#setFaceSmoothGroupB\">setFaceSmoothGroupB</a></h3><p>Sets the Editable Mesh Smoothing Groups</p>\n\
<h3 id=\"-a-href-guid-624d3d05-b15d-4a97-9f15-da35cdb0ddd2-html-maybe_savemaxfile-maybe_savemaxfile-a-\"><a href=\"MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\"#maybe_saveMaxFile\">maybe_saveMaxFile</a></h3><p>Shows a replacement function for saveMaxFile to check for existing files and prompting before overwriting.</p>\n\
<h3 id=\"-a-href-guid-624d3d05-b15d-4a97-9f15-da35cdb0ddd2-html-maybe_savenodes-maybe_savenodes-a-\"><a href=\"MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\"#maybe_saveNodes\">maybe_saveNodes</a></h3><p>Shows a replacement function for saveNodes to check for existing files and prompting before overwriting.</p>\n\
<h3 id=\"-a-href-guid-c17d0e4b-c408-426b-b300-7e23a0d98515-html-setnodeworldrotation-setnodeworldrotation-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Transform-Properties.html\"#setNodeWorldRotation\">setNodeWorldRotation</a></h3><p>Sets a node&#39;s rotation relative to world space</p>\n\
<h3 id=\"-a-href-guid-38d6774c-2377-4976-bda1-a56c88620537-html-sortmultisubbyid-sortmultisubbyid-a-\"><a href=\"Frequently-Asked-Questions/Practical-Questions/Accessing-Object-Properties/How-do-I-Sort-a-MultiMaterial-By.html\"#sortMultiSubById\">sortMultiSubById</a></h3><p>Sorts the sub-materials of a Multi/Sub material by their Material IDs.</p>\n\
<h3 id=\"-a-href-guid-f1b3ecfd-2649-48c8-b130-15a17527433c-html-splitmeshbyuvelements-splitmeshbyuvelements-a-\"><a href=\"Frequently-Asked-Questions/Practical-Questions/Working-with-Editable-Meshes/How-do-I-Split-a-Mesh-by-UV.html\"#splitMeshByUVElements\">splitMeshByUVElements</a></h3><p>Splits a mesh to elements based on the UVW Face Elements.</p>\n\
<h3 id=\"-a-href-guid-a6a60fc7-6206-4ffc-80e2-0ef8544be2c4-html-uppercase-uppercase-a-\"><a href=\"MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\"#uppercase\">UpperCase</a></h3><p>Converts a mixed case string to upper case to demonstrate the use of various string value related methods.</p>\n\
<h2 id=\"macroscripts\">MacroScripts</h2><h3 id=\"-a-href-guid-34892db6-e840-4f52-9175-30332799b7b1-html-nprexplorer-nprexplorer-a-nitrous-npr-settings-macroscript\"><a href=\"3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"#NPRExplorer\">NPRExplorer</a> - Nitrous NPR Settings MacroScript</h3><p>Provides dynamic controls over all aspects of the current NPR (Stylized) visual style of the Nitrous Graphics Manager viewports.</p>\n\
<h3 id=\"-a-href-guid-e15a1883-b97d-4cb8-98fd-6c6c8e502f19-html-viewportshadingexplorer-viewportshadingexplorer-a-viewport-shading-explorer-macroscript\"><a href=\"MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Shading-Settings.html\"#ViewportShadingExplorer\">ViewportShadingExplorer</a> - Viewport Shading Explorer MacroScript</h3><p>Provides a User Interface to explore the advanced viewport shading settings like Ambient Occlusion, Indirect Illumination, Depth Of Field etc.</p>\n\
<h3 id=\"-a-href-guid-6b1d330e-8895-4dd8-b06f-81ac742edf68-html-polytoelements-polytoelements-a-macroscript\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Detach-Methods.html\"#PolyToElements\">PolyToElements</a> MacroScript</h3><p>Shows how to split every polygon in an EditablePoly into an Element.</p>\n\
<h3 id=\"-a-href-guid-6e21c768-7256-4500-ab1f-b144f492f055-html-ram_render-ram_render-a-render-to-ramplayer\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\"#RAM_Render\">RAM_Render</a> - Render to RamPlayer</h3><p>Illustrates the usage of rollouts and rolloutFloaters in macroScripts</p>\n\
<h3 id=\"-a-href-guid-6e21c768-7256-4500-ab1f-b144f492f055-html-subobject_vertex-subobject_vertex-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\"#SubObject_Vertex\">SubObject_Vertex</a></h3><p>Illustrates the definition of Macro Scripts</p>\n\
<h3 id=\"-a-href-guid-d62137ae-e500-4b42-983d-e7443e3dff04-html-superexpertmode-superexpertmode-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-StatusPanel.html\"#SuperExpertMode\">SuperExpertMode</a></h3><p>Implements a Super Expert Mode with just the viewports and main menu visible.</p>\n\
<h3 id=\"-a-href-guid-6e21c768-7256-4500-ab1f-b144f492f055-html-paramwire-parameter-wire-altexectute-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\"#paramWire\">Parameter Wire altExectute</a></h3><p>Illustrates the definition of alternative execute handlers in MacroScripts</p>\n\
<h3 id=\"-a-href-guid-e26199ac-496c-42c4-bcb4-52a3c4def411-html-microlistener-microlistener-a-\"><a href=\"Frequently-Asked-Questions/Practical-Questions/Working-with-MAXScript-Values/How-do-I-check-if-a-string.html\"#MicroListener\">MicroListener</a></h3><p>Illustrates the use of the Execute method to convert strings into MAXScript expressions.</p>\n\
<h3 id=\"-a-href-guid-226b4fea-9707-4582-a7fe-34bf142f345f-html-growskinsel-grow-shrink-loop-ringskinselection-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SkinUtils.html\"#GrowSkinSel\">Grow/Shrink/Loop/RingSkinSelection</a></h3><p>Implement Skin Selection Grow/Shrink, Loop and Ring ActionItems to be used in QuadMenus when skinning.</p>\n\
<h2 id=\"editable-mesh-selection-converter-macroscripts\">Editable Mesh Selection Converter MacroScripts</h2><h3 id=\"-a-href-guid-78cc4cf5-1ce9-4dc8-b093-23eba5eba43b-html-edge2facesel-edge2facesel-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Edge-Methods.html\"#Edge2FaceSel\">Edge2FaceSel</a></h3><p>Convert Edge to Face Selection in Editable Meshes</p>\n\
<h3 id=\"-a-href-guid-78cc4cf5-1ce9-4dc8-b093-23eba5eba43b-html-edge2polysel-edge2polysel-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Edge-Methods.html\"#Edge2PolySel\">Edge2PolySel</a></h3><p>Convert Edge to Polygon Selection in Editable Meshes</p>\n\
<h3 id=\"-a-href-guid-78cc4cf5-1ce9-4dc8-b093-23eba5eba43b-html-edge2vertsel-edge2vertsel-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Edge-Methods.html\"#Edge2VertSel\">Edge2VertSel</a></h3><p>Convert Edge to Vertex Selection in Editable Meshes</p>\n\
<h3 id=\"-a-href-guid-ef78fa1a-a382-4bed-ba10-7c856a7551a5-html-face2edgesel-face2edgesel-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\"#Face2EdgeSel\">Face2EdgeSel</a></h3><p>Convert Face to Edge Selection in Editable Meshes</p>\n\
<h3 id=\"-a-href-guid-ef78fa1a-a382-4bed-ba10-7c856a7551a5-html-face2vertsel-face2vertsel-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\"#Face2VertSel\">Face2VertSel</a></h3><p>Convert Face to Vertex Selection in Editable Meshes</p>\n\
<h3 id=\"-a-href-guid-78cc4cf5-1ce9-4dc8-b093-23eba5eba43b-html-vert2edgesel-vert2edgesel-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Edge-Methods.html\"#Vert2EdgeSel\">Vert2EdgeSel</a></h3><p>Convert Vertex to Edge Selection in Editable Meshes</p>\n\
<h3 id=\"-a-href-guid-ef78fa1a-a382-4bed-ba10-7c856a7551a5-html-vert2facesel-vert2facesel-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\"#Vert2FaceSel\">Vert2FaceSel</a></h3><p>Convert Vertex to Face Selection in Editable Meshes</p>\n\
<h3 id=\"-a-href-guid-78cc4cf5-1ce9-4dc8-b093-23eba5eba43b-html-selopenedges-selopenedges-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Edge-Methods.html\"#SelOpenEdges\">SelOpenEdges</a></h3><p>Select Open Edges in Editable Meshes</p>\n\
<h2 id=\"scripted-plug-ins\">Scripted Plug-ins</h2><h3 id=\"-a-href-guid-4c8d01b5-5ad3-4a73-bd8a-5c3609b6afea-html-extended_rect-extended-rect-shape-plugin-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Shape-Plug-ins.html\"#Extended_Rect\">Extended Rect Shape Plugin</a></h3><p>Illustrates the creation of Scripted Shape Plug-ins</p>\n\
<h3 id=\"-a-href-guid-44d4ac45-65dd-401b-b4a1-07b71b35d544-html-lightmaster-lightmaster-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Updating-Scripted-Plug-ins.html\"#lightMaster\">lightMaster</a></h3><p>Illustrates the application of Scripted Plug-in Methods. See also threeLights.</p>\n\
<h3 id=\"-a-href-guid-db36699e-7589-4c38-97c2-a04f093c6789-html-threelights-threelights-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Methods.html\"#threelights\">threeLights</a></h3><p>Illustrates the application of Scripted Plug-in Methods. See also lightMaster.</p>\n\
<h3 id=\"-a-href-guid-f4eaad9b-2961-43bb-bc41-b380cc8e8e32-html-negative-rendereffect-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-RenderEffect-Plug-ins.html\"\">Negative renderEffect</a></h3><p>Illustrates the creation of Scripted RenderEffect Plug-ins</p>\n\
<h3 id=\"-a-href-guid-e91909ad-28d5-4aef-8c6c-2ef2ac0c78af-html-nspline-normal-spline-modifier-plug-in-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Modifier-Plug-ins.html\"#NSpline\">Normal Spline Modifier Plug-in</a></h3><p>Illustrates the creation of Scripted Modifier Plug-ins</p>\n\
<h3 id=\"-a-href-guid-3fb57157-0112-4617-9532-014b9cecc98e-html-saddledeform-saddledeform-simplemod-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-SimpleMod-Plug-ins.html\"#SaddleDeform\">SaddleDeform simpleMod</a></h3><p>Illustrates the creation of Scripted SimpleMod Plug-ins</p>\n\
<h3 id=\"-a-href-guid-c0bffe27-bb59-4265-8f70-bfe8a636f7cb-html-squaretube-squaretube-simpleobject-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-SimpleObject-Plug-ins.html\"#SquareTube\">SquareTube simpleObject</a></h3><p>Illustrates the creation of Scripted SimpleObject Plug-ins</p>\n\
<h3 id=\"-a-href-guid-e91909ad-28d5-4aef-8c6c-2ef2ac0c78af-html-supamod-supa-mod-modifier-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Modifier-Plug-ins.html\"#SupaMod\">Supa Mod modifier</a></h3><p>Illustrates the creation of Scripted Modifier Plug-ins</p>\n\
<h3 id=\"-a-href-guid-7ead66b1-29be-4ec7-ac82-7d2831062856-html-supaglass-supaglass-material-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Material-Plug-ins.html\"#SupaGlass\">SupaGlass material</a></h3><p>Illustrates the creation of Scripted Material Plug-ins</p>\n\
<h3 id=\"-a-href-guid-f4eaad9b-2961-43bb-bc41-b380cc8e8e32-html-superblur-super-blur-fx-rendereffect-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-RenderEffect-Plug-ins.html\"#SuperBlur\">Super Blur FX renderEffect</a></h3><p>Illustrates the creation of Scripted RenderEffect Plug-ins</p>\n\
<h3 id=\"-a-href-guid-f4eaad9b-2961-43bb-bc41-b380cc8e8e32-html-supercolor-super-color-balance-fx-rendereffect-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-RenderEffect-Plug-ins.html\"#SuperColor\">Super Color Balance FX renderEffect</a></h3><p>Illustrates the creation of Scripted RenderEffect Plug-ins</p>\n\
<h3 id=\"-a-href-guid-c72a6b9d-c5be-4757-93fd-fa40e43fd028-html-superfog-super-fog-env-atmospheric-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Atmospheric-Plug-ins.html\"#SuperFog\">Super Fog Env atmospheric</a></h3><p>Illustrates the creation of Scripted Atmospheric Plug-ins</p>\n\
<h3 id=\"-a-href-guid-c0bffe27-bb59-4265-8f70-bfe8a636f7cb-html-textureplane-texture-plane-simpleobject-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-SimpleObject-Plug-ins.html\"#TexturePlane\">Texture Plane SimpleObject</a></h3><p>Illustrates the creation of Scripted SimpleObject Plug-ins with UVW Coordinates</p>\n\
<h3 id=\"-a-href-guid-c0bffe27-bb59-4265-8f70-bfe8a636f7cb-html-tower_plugin-tower-plugin-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-SimpleObject-Plug-ins.html\"#tower_plugin\">Tower plugin</a></h3><p>Illustrates the creation of Scripted SimpleObject Plug-ins</p>\n\
<h2 id=\"how-to-tutorials-\">How To Tutorials:</h2><h3 id=\"-a-href-guid-8eb13535-72b4-439c-94d3-e93434ba163b-html-how-to-develop-a-transform-lock-script-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-A-Transform-Lock.html\"\">How To ... Develop A Transform Lock Script</a></h3><p>Developing a simple script for checking all Transformation locks.</p>\n\
<h3 id=\"-a-href-guid-bb996dfb-0367-4dff-a1cc-50beb3a97757-html-how-to-remove-all-materials-a-\"><a href=\"How-To-Practical-Examples/How-To-Remove-All-Materials.html\"\">How To ... Remove All Materials</a></h3><p>Creating a very simple script removing all materials from the scene.</p>\n\
<h3 id=\"-a-href-guid-5986cad3-bb68-47bc-b4b2-ef84c4659271-html-how-to-quickly-rename-selected-objects-a-\"><a href=\"How-To-Practical-Examples/How-To-Quickly-Rename-Selected.html\"\">How To ... Quickly Rename Selected Objects</a></h3><p>Developing a simple renaming utility to change the names of selected objects</p>\n\
<h3 id=\"-a-href-guid-6021c91d-405d-4da9-81d9-02547b9d4370-html-how-to-select-non-quad-polygons-a-\"><a href=\"How-To-Practical-Examples/How-To-Select-Non-Quad-Polygons.html\"\">How To ... Select Non-Quad Polygons</a></h3><p>Example of accessing and selecting Polygons in an EditablePoly object.</p>\n\
<h3 id=\"-a-href-guid-7f799bca-b11d-4307-aa34-8fb0e2f757a4-html-how-to-assign-materials-automatically-a-\"><a href=\"How-To-Practical-Examples/How-To-Assign-Materials.html\"\">How To ... Assign Materials Automatically</a></h3><p>Shows how to use MAXScript callbacks to automate material assignment</p>\n\
<h3 id=\"-a-href-guid-84e24969-c175-4389-b9a6-3b2699b66785-html-how-to-move-objects-to-a-surface-a-\"><a href=\"How-To-Practical-Examples/How-To-Move-Objects-to-a-Surface.html\"\">How To ... Move Objects to a Surface</a></h3><p>Shows how to use the intersectRay function to find surface points on objects.</p>\n\
<h3 id=\"-a-href-guid-2db3a775-776f-4d63-bdfb-d99523ecb69d-html-how-to-output-object-data-to-file-a-\"><a href=\"How-To-Practical-Examples/How-To-Output-Object-Data-To.html\"\">How To ... Output Object Data To File</a></h3><p>Shows the basic of writing object data to an external text file.</p>\n\
<h3 id=\"-a-href-guid-38562330-1435-4112-9265-de965319a2f2-html-how-to-output-geometry-data-to-text-file-part-one-a-\"><a href=\"How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Output-Geometry-Data-To.html\"\">How To ... Output Geometry Data To Text File - Part One</a></h3><p>Shows the basic of writing mesh geometry data to an external text file.</p>\n\
<h3 id=\"-a-href-guid-bc1c2cb2-f6c5-48d7-8686-dd3988d4aeba-html-how-to-read-geometry-data-from-text-file-part-one-a-\"><a href=\"How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Read-Geometry-Data-From.html\"\">How To ... Read Geometry Data From Text File - Part One</a></h3><p>Shows the basic of reading object data from an external text file.</p>\n\
<h3 id=\"-a-href-guid-537409fe-ef5b-4e02-8261-456f74134ca5-html-how-to-output-geometry-data-to-text-file-part-two-a-\"><a href=\"How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Output-Geometry-Data-To-1.html\"\">How To ... Output Geometry Data To Text File - Part Two</a></h3><p>Enhances the mesh geometry output script with support of smoothing groups, material ids and edge visibility.</p>\n\
<h3 id=\"-a-href-guid-4ed6c9c6-53b3-437c-969e-b8c924df34aa-html-how-to-read-geometry-data-from-text-file-part-two-a-\"><a href=\"How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Read-Geometry-Data-From-1.html\"\">How To ... Read Geometry Data From Text File - Part Two</a></h3><p>Enhances the input script developed in Part One to support the new data added by the preceding tutorial.</p>\n\
<h3 id=\"-a-href-guid-333382d0-57af-4797-98f2-c2be09442607-html-how-to-create-a-quick-preview-a-\"><a href=\"How-To-Practical-Examples/How-To-Create-a-Quick-Preview.html\"\">How To ... Create a Quick Preview</a></h3><p>Implements a simple viewport preview and automatic RAMplayer loading</p>\n\
<h3 id=\"-a-href-guid-3667a33c-e3e4-4f39-a480-3713240838f1-html-how-to-access-the-z-depth-channel-a-\"><a href=\"How-To-Practical-Examples/How-To-Access-the-Z-Depth.html\"\">How To ... Access the Z-Depth channel</a></h3><p>A small experiment creating objects based on the Z-Depth of the camera</p>\n\
<h3 id=\"-a-href-guid-5e5e1a71-24e2-4605-9720-2178b941decc-html-how-to-create-a-monochrome-rendereffect-a-\"><a href=\"How-To-Practical-Examples/How-To-Create-a-MonoChrome.html\"\">How To ... Create a MonoChrome RenderEffect</a></h3><p>A simple example of a scripted RenderEffect plug-in</p>\n\
<h3 id=\"-a-href-guid-bfe0d012-e8f6-4903-b3c5-abda06f4f18c-html-how-to-create-custom-mesh-object-a-\"><a href=\"How-To-Practical-Examples/How-To-Create-Custom-Mesh-Object.html\"\">How To ... Create Custom Mesh Object</a></h3><p>Shows how to create a custom mesh object</p>\n\
<h3 id=\"-a-href-guid-ec33589d-822a-4e79-9682-185ec5dbab9f-html-how-to-create-scripted-geometry-plug-in-a-\"><a href=\"How-To-Practical-Examples/How-To-Create-Scripted-Geometry.html\"\">How To ... Create Scripted Geometry Plug-in</a></h3><p>An example of a scripted geometry plug-in</p>\n\
<h3 id=\"-a-href-guid-26d082d6-b086-48a2-a642-1137aea145bd-html-how-to-create-a-dalmatian-texturemap-plug-in-a-\"><a href=\"How-To-Practical-Examples/How-To-Create-a-Dalmatian.html\"\">How To ... Create a Dalmatian TextureMap Plug-in</a></h3><p>An example of a scripted texture map plug-in in the famous polka-dot dog look</p>\n\
<h3 id=\"-a-href-guid-f4a71dc8-dc5a-4aca-8475-c8869bac7eff-html-how-to-access-windows-system-data-a-\"><a href=\"How-To-Practical-Examples/How-To-Access-Windows-System.html\"\">How To ... Access Windows System Data</a></h3><p>Shows an approach to access system data that is not directly exposed to MAXScript</p>\n\
<h3 id=\"-a-href-guid-71415c32-4325-4474-8dfb-67be74587970-html-how-to-sort-trackview-alphabetically-a-\"><a href=\"How-To-Practical-Examples/How-To-Sort-TrackView.html\"\">How To ... Sort TrackView Alphabetically</a></h3><p>Shows an approach to sort the objects in the TrackView</p>\n\
<h3 id=\"-a-href-guid-68e7c8be-e2a1-4c0a-a5a9-a9a122de7a66-html-how-to-flatten-a-splineshape-a-\"><a href=\"How-To-Practical-Examples/How-To-Flatten-a-SplineShape.html\"\">How To ... Flatten a SplineShape</a></h3><p>Example of modifying a slineShape by moving knots and bezier vectors</p>\n\
<h3 id=\"-a-href-guid-0876df46-faa3-4131-838d-5739a67ff2c1-html-how-to-draw-a-freehand-spline-a-\"><a href=\"How-To-Practical-Examples/How-To-Draw-a-Freehand-Spline.html\"\">How To ... Draw a Freehand Spline</a></h3><p>Example of drawing a spline with the mouse in the ground plane.</p>\n\
<h3 id=\"-a-href-guid-496428b3-d9f8-4cf1-91ed-5d1708df100e-html-how-to-enhance-the-morpher-modifier-with-floating-controls-a-\"><a href=\"How-To-Practical-Examples/How-To-Enhance-the-Morpher.html\"\">How To ... Enhance the Morpher Modifier With Floating Controls</a></h3><p>Example of dynamic UI creation, time and change callbacks usage to create a floater with controls linked interactively to a Morpher modifier.</p>\n\
<h3 id=\"-a-href-guid-f7fa2755-0408-4610-abdb-b403d85aa597-html-how-to-change-objects-at-render-time-a-\"><a href=\"How-To-Practical-Examples/How-To-Change-Objects-At-Render.html\"\">How To ... Change Objects At Render Time</a></h3><p>An example of changing object properties at render time using callback scripts.</p>\n\
<h3 id=\"-a-href-guid-853014ac-9dc8-4f5c-b14b-3643e5925ad8-html-how-to-develop-a-vertex-renderer-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Vertex-Renderer.html\"\">How To ... Develop a Vertex Renderer</a></h3><p>An example of a scripted vertex realtime renderer.</p>\n\
<h3 id=\"how-to-script-particle-flow\">How To ... Script Particle Flow</h3><h3 id=\"-a-href-guid-8f114e91-183d-47a9-a302-6b8a1bd15c6e-html-how-to-transfer-particleflow-particle-motion-to-scene-objects-a-\"><a href=\"How-To-Practical-Examples/How-To-Script-Particle-Flow/How-To-Transfer-ParticleFlow.html\"\">How To ... Transfer ParticleFlow Particle Motion To Scene Objects</a></h3><p>An example of moving scene objects using Particle Flow particles.</p>\n\
<h3 id=\"-a-href-guid-8c394f51-48ff-4605-b7c5-f3e62aabb5f9-html-how-to-affect-particle-flow-particles-by-mass-a-\"><a href=\"How-To-Practical-Examples/How-To-Script-Particle-Flow/How-To-Affect-Particle-Flow.html\"\">How To ... Affect Particle Flow Particles by Mass</a></h3><p>An example of applying a Force to particles based on their mass.</p>\n\
<h3 id=\"how-to-develop-a-bitmap-painting-tool-in-nine-easy-steps\">How To ... Develop a Bitmap Painting Tool In Nine Easy Steps</h3><h3 id=\"-a-href-guid-9355b32d-ddc4-4c26-befd-66be3d291b63-html-how-to-develop-a-bitmap-painting-tool-basic-utility-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-1.html\"\">How To ... Develop a Bitmap Painting Tool - Basic Utility</a></h3><p>The first step of the tool creation - The basic tool with a single point brush without strokes support.</p>\n\
<h3 id=\"-a-href-guid-89495341-dea2-41d9-bfbb-543006e64ca2-html-how-to-develop-a-bitmap-painting-tool-strokes-support-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-2.html\"\">How To ... Develop a Bitmap Painting Tool - Strokes Support</a></h3><p>The second iteration of the tool adds continuous stroke drawing.</p>\n\
<h3 id=\"-a-href-guid-e9c5afaa-52a0-4274-a92c-8075c3bd0f25-html-how-to-develop-a-bitmap-painting-tool-brush-size-and-color-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-3.html\"\">How To ... Develop a Bitmap Painting Tool - Brush Size and Color</a></h3><p>The third iteration of the tool adds control over the size and color of the brush.</p>\n\
<h3 id=\"-a-href-guid-78460dd3-5fa4-4f68-990a-54d8d6092802-html-how-to-develop-a-bitmap-painting-tool-airbrush-and-shapes-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-4.html\"\">How To ... Develop a Bitmap Painting Tool - Airbrush and Shapes</a></h3><p>The fourth iteration of the tool adds circular brush shape support and an Airbrush option with variable strength.</p>\n\
<h3 id=\"-a-href-guid-6ac542fd-a91b-4f32-89dd-56a9e1b118e3-html-how-to-develop-a-bitmap-painting-tool-smooth-brushes-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-5.html\"\">How To ... Develop a Bitmap Painting Tool - Smooth Brushes</a></h3><p>The fifth iteration of the tool adds a brush with smooth falloff</p>\n\
<h3 id=\"-a-href-guid-2a734060-09d6-44ce-a0b1-6e7094c03ac3-html-how-to-develop-a-bitmap-painting-tool-load-and-save-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-6.html\"\">How To ... Develop a Bitmap Painting Tool - Load and Save</a></h3><p>The sixth iteration of the tool adds bitmap file loading and saving. Finally, you can store your work of art to disk!</p>\n\
<h3 id=\"-how-to-develop-a-bitmap-painting-tool-erase-changes-how-to-develop-a-bitmap-painting-tool-erase-changes-html-\">[How To ... Develop a Bitmap Painting Tool - Erase Changes](How To ... Develop a Bitmap Painting Tool - Erase Changes.html)</h3><p>The seventh iteration of the tool adds an eraser option to the right mouse button and a Commit Changes menu option to permanently bake the changes to the image.</p>\n\
<h3 id=\"-a-href-guid-8ecde2e0-2c77-4191-9710-c527d95f763e-html-how-to-develop-a-bitmap-painting-tool-unwrap-uv-coordinates-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-8.html\"\">How To ... Develop a Bitmap Painting Tool - Unwrap UV Coordinates</a></h3><p>The eight iteration of the tool adds UV texture coordinates unwrapping and realtime updates of the bitmap as diffusemap on a selected object.</p>\n\
<h3 id=\"-a-href-guid-409d100a-02e1-4539-b847-c3f6dfe6a66b-html-how-to-develop-a-bitmap-painting-tool-3d-painting-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-9.html\"\">How To ... Develop a Bitmap Painting Tool - 3D Painting</a></h3><p>The ninth iteration of the tool adds 3D Painting on a selected object in the viewport.</p>\n\
<h3 id=\"how-to-develop-tools-using-dotnet\">How To ... Develop Tools Using DotNet</h3><h3 id=\"-a-href-guid-dea74f18-7b83-4459-abfb-f36a3bd49bd7-html-how-to-copy-the-last-rendered-image-to-the-windows-clipboard-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Copy-The-Last-Rendered.html\"\">How To ... Copy The Last Rendered Image To The Windows Clipboard</a></h3><p>This tutorial demonstrates how to use a DotNet class to put the last rendered image into the Windows Clipboard.</p>\n\
<h3 id=\"-a-href-guid-db82f222-b77f-4f85-865f-a4d54b53107d-html-how-to-call-a-maxscript-function-periodically-using-dotnet-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Call-a-MAXScript-Function.html\"\">How To ... Call a MAXScript Function Periodically using DotNet</a></h3><p>This tutorial demonstrates how to use a DotNet Timer object to call a MAXScript function at given intervals without the need for a rollout.</p>\n\
<h3 id=\"-a-href-guid-8ec1eea5-41cd-4e1f-b9fa-562b515eade7-html-how-to-generate-hash-checksums-using-dotnet-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Generate-Hash-Checksums.html\"\">How To ... Generate Hash Checksums using DotNet</a></h3><p>This tutorial demonstrates how to use a DotNet Timer object to call a MAXScript function at given intervals without the need for a rollout.</p>\n\
<h3 id=\"-a-href-guid-5a63220f-1c0e-4916-b9f5-905be92c4673-html-how-to-print-using-dotnet-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Print-Using-DotNet.html\"\">How To ... Print Using DotNet</a></h3><p>This tutorial demonstrates how to use a DotNet form to display a file from disk and then print it as multiple pages to the printer.</p>\n\
<h3 id=\"how-to-develop-an-xview-geometry-checker\">How To ... Develop An XView Geometry Checker</h3><h3 id=\"-a-href-guid-c94469c6-19a5-427e-a16b-d46054b3aa1a-html-how-to-develop-a-face-area-xview-checker-part-1-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView.html\"\">How To ... Develop A Face Area XView Checker - Part 1</a></h3><p>This tutorial demonstrates how to define and register MAXScript functions with the XView Checker interface introduced in <em>3ds Max 2010</em> to perform a Face Area test on geometry objects.</p>\n\
<h3 id=\"-a-href-guid-09495930-94a5-4ce7-badb-d630b8306883-html-how-to-develop-a-face-area-xview-checker-part2-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-1.html\"\">How To ... Develop A Face Area XView Checker - Part2</a></h3><p>This tutorial expands on the previous example by adding multiple checker modes and custom text and display override functions.</p>\n\
<h3 id=\"-a-href-guid-33391123-6956-49b8-9535-37a87754ba32-html-how-to-develop-a-face-area-xview-checker-part3-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-2.html\"\">How To ... Develop A Face Area XView Checker - Part3</a></h3><p>This tutorial continues the development of the Face Area Geometry Checker by implementing sticky settings via an INI file.</p>\n\
<h3 id=\"-a-href-guid-8385056c-4105-485f-b9ae-4280f87e366a-html-how-to-develop-a-face-area-xview-checker-part4-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-3.html\"\">How To ... Develop A Face Area XView Checker - Part4</a></h3><p>This tutorial finishes the development of the Face Area Geometry Checker by implementing a MacroScript to place in the Viewport Menus.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";