var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-47D7B030-1DB8-47E8-B462-C800D26480DA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>GLTF_Export : ExporterPlugin</h1></div><p>Exposes the GLTF Exporter options (Real-time Exporter for .gltf / .glb files) to MAXScript.</p>\n\
<h2 id=\"constructor\">Constructor</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript.</code></pre><h2 id=\"properties\">Properties</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .ShellMaterialUseBakedMtl : boolean : Read|Write</code></pre><p>Gets or sets how to export shell materials.  When true, baked materials are exported, otherwise original materials are exported.</p>\n\
<h2 id=\"methods\">Methods</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;void&gt;saveTo3dsmaxINI()\n\
       saveTo3dsmaxINI - no automatic redraw after invoked</code></pre><p>Saves the current settings to the <em>3dsMax.ini</em> file.  Settings are saved under <strong>[glTF Export Options]</strong>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;loadFrom3dsmaxINI()\n\
       loadFrom3dsmaxINI - no automatic redraw after invoked</code></pre><p>Loads the settings from the <em>3dsMax.ini</em> file, overwriting any changes that may have been made to the current settings.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;toJsonStr()\n\
       toJsonStr - no automatic redraw after invoked</code></pre><p>Prints the current settings to a JSON formatted text string.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;fromJsonStr &lt;string&gt;jsonStr\n\
       fromJsonStr - no automatic redraw after invoked</code></pre><p>Loads the current settings from specified JSON formatted <code>jsonStr</code> string.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;toJsonFile &lt;filename&gt;fileName\n\
       toJsonFile - no automatic redraw after invoked</code></pre><p>Saves the current settings in JSON format to the specified <code>fileName</code>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;fromJsonFile &lt;filename&gt;fileName\n\
       fromJsonFile - no automatic redraw after invoked</code></pre><p>Loads the settings from the specified JSON formatted <code>fileName</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Import-and-Export-Filters.html\">Import and Export Filters</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";