var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B51DE21E-DD2E-4A06-A7FD-F63C788EAC3D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Accessing MAXScript</h1></div><p>MAXScript is the built-in scripting language for <strong>3ds Max</strong> (version 2.0 or higher.) Because of this, you can use MAXScript only when <strong>3ds Max</strong> is running. There are several ways to access MAXScript from within <strong>3ds Max</strong>.</p>\n\
<p>You can open the <a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Listener-Window.html\">Scripting Listener</a> from the <strong>Scripting menu in the Main Menu</strong>: MainMenu &gt; Scripting &gt; Scripting Listener.</p>\n\
<p>Note that the default keyboard shortcut to the Scripting Listener, <strong>F11</strong> , is also listed next to the menu item. You can press <strong>F11</strong> anytime to open the Scripting Listener.</p>\n\
<p><img src=\"./images/scripting_menu.png\" alt></p>\n\
<p>You can also <strong>right-click the Mini-Listener</strong> which is located in the lower left corner of the 3ds max UI. The right-click context menu will provide you with the option to open the Scripting Listener window.</p>\n\
<p><img src=\"./images/GUID-2085E253-0B6E-49C6-84F6-B2478802EA18-low.gif\" alt></p>\n\
<p>Another way to open the Scripting Listener is as follows:</p>\n\
<ol>\n\
<li><p><img src=\"./images/GUID-4D61E4AE-8458-44D6-AF7C-A3F3E459F179-low.gif\" alt>On the Command panel, choose Utility, and click MAXScript.</p>\n\
<p>The MAXScript rollout appears:</p>\n\
<p><img src=\"./images/GUID-FC8EB6E6-8E38-467B-BF70-BDDF6C11FB3E-low.gif\" alt></p>\n\
</li>\n\
<li><p>Click Open Listener.</p>\n\
</li>\n\
</ol>\n\
<p>The Scripting Listener window appears with its Welcome message.</p>\n\
<h2 id=\"the-scripting-listener\">The Scripting Listener</h2><p>The Scripting Listener window is an interactive interpreter for the MAXScript language and works similarly to a DOS command prompt window. You can enter MAXScript commands in this window and press the numeric <strong>ENTER</strong> key to execute them immediately.  </p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> The Scripting Listener also supports Python mode.  See the <em>3ds Max Python API Help</em> for more information.</p>\n\
\n\
</div></div>\n\
\n\
<p><img src=\"./images/scripting_listener_window.png\" alt></p>\n\
<p>For more details on the Scripting Listener, see <a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Listener-Window.html\">The Scripting Listener Window</a> topic.</p>\n\
<h2 id=\"the-scripting-mini-listener\">The Scripting Mini-Listener</h2><p>The left end of the status bar contains a resizable Mini Listener.</p>\n\
<p><img src=\"./images/GUID-37680B1E-BED1-43F5-AAC0-C82DE2B233CA-low.gif\" alt></p>\n\
<p>If the Mini Listener is not visible, drag on the vertical split bar at the left edge of the status panel to reveal this feature. The Mini Listener panes act as single-line sliding windows for the current line in corresponding Listener panes. The Mini Listener panes always show what you are typing or where the cursor is placed in the Listener panes. Conversely, anything you enter into a Mini Listener pane is entered into the corresponding Listener pane at the current cursor position.</p>\n\
<p>For more details on the Mini-Listener, see <a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Listener-Window.html\">The Scripting Listener Window</a> topic.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Getting-Started.html\">Getting Started</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";