var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-029EF4FB-5822-4E33-85A6-BD140F8D26FD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripting Editor - Tools Menu</h1></div><p>The <strong>Tools menu</strong> of the <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">Tabbed Scripting Editor</a> introduced in <strong>3ds Max 2008</strong> contains commands for script evaluation, access to the Visual MAXScript Editor and options to edit the various Option and Property files defining the functionality of the Editor.</p>\n\
<p><img src=\"./images/scripting_editor_tools_menu.png\" alt=\"\"></p>\n\
<ul>\n\
<li><p><strong>Evaluate All (CTRL+E)</strong> - like in the legacy editor, this command will evaluate the whole script loaded in the current tab.</p>\n\
</li>\n\
<li><p><strong>Evaluate Line / Selection (CTRL+ENTER)</strong> -like in the legacy editor and the Listener, this command will evaluate the current line or selection. Pressing <strong>CTRL+ENTER</strong> is equivalent to pressing the <strong>NumPad Enter</strong> key which can be used alternatively.</p>\n\
</li>\n\
<li><p><strong>Edit Rollout</strong> - opens the <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Visual-MAXScript.html\">Visual MAXScript Editor</a> to edit the currently selected rollout.If no rollout is selected, a new rollout will be created.</p>\n\
</li>\n\
<li><p><strong>New Rollout</strong> - opens the <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Visual-MAXScript.html\">Visual MAXScript Editor</a> and creates a new rollout at the current cursor position.</p>\n\
</li>\n\
<li><p><strong>Next Message (F4)</strong> - goes to the next message in the Output pane.</p>\n\
</li>\n\
<li><p><strong>Previous Message (SHIFT+F4)</strong> - goes to the previous message in the Output pane.</p>\n\
</li>\n\
<li><p><strong>Clear Output (SHIFT+F5)</strong> - clears the Output pane.</p>\n\
</li>\n\
<li><p><strong>Switch Pane (CTRL+F6)</strong> - switches between the Editor and the Output pane.</p>\n\
</li>\n\
<li><p><strong>Open User Options File</strong> - opens the <strong>MXS_EditorUser.properties</strong> file for editing. If the file does not exist, an empty file will be generated by the Editor. It can be saved to the 3ds Max root directory by the user. It can contain the same settings as Global Options (see below), but settings made here will override those in the global file.This is useful for tweaking settings without deleting the global settings. Remarking or deleting the user overrides will enable the global settings again.</p>\n\
</li>\n\
<li><p><strong>Open Global Options File</strong> - opens the global options file <strong><em>MXS_Editor.properties</em></strong>. See <a href=\"./../MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\">Scripting Editor - Properties File Settings</a> for details on supported settings.</p>\n\
</li>\n\
<li><p><strong>Open Abbreviations File</strong> - opens the abbreviations file <strong><em>MXS_EditorAbbrev.properties</em></strong> for editing. See <a href=\"./../MAXScript-Editor-Configuration/MAXScript-Editor-Defining-And.html\">Scripting Editor - Defining And Using Abbreviations</a> for details on defining and using abbreviations.</p>\n\
</li>\n\
<li><p><strong>Open MAXScript.properties</strong> - opens the <strong>MAXScript.properties</strong> file for editing. It is used to customize the <a href=\"./../MAXScript-Editor-Configuration/MAXScript-Editor-Lexer.html\">MAXScript lexer</a> which performs the MAXScript-specific color coding, as well as settings associated with editing MAXScript format files such as the file extensions for MAXScript files, the auto-generated keyword lists, keywords12 for adding custom keywords, options related to folding, the definition of the various styles and a couple of additional file formats. See <a href=\"./../MAXScript-Editor-Configuration/MAXScript-Editor-Customizing.html\">Scripting Editor - Customizing Syntax Color Schemes</a></p>\n\
</li>\n\
<li><p><strong>Open python.properties</strong> - opens the python properties file, which customizes the appearance and syntax highlighting in Python files.</p>\n\
</li>\n\
<li><p><strong>Open html.properties</strong> - opens the HTML properties file.</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Menu-Options.html\">Scripting Editor Menu Options</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";