var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0020B2D6-7108-49AA-8013-4027A954167F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>scriptEditor Struct</h1></div><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../../What-is-New-in-MAXScript/What-s-New-in-MAXScript-in-3ds.html\"\">NEW</a> <strong>in 3ds Max 2024:</strong>\n\
This struct exposes some settings for the <em>Scripting Editor</em> window.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">scriptEditor.hwnd:&lt;systemGlobal&gt;; Public,</code></pre><p>Returns the windows handle for the Scripting Editor window.  </p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">scriptEditor.displayOnError:&lt;systemGlobal&gt;; Public,</code></pre><p>Specifies whether to display a script the encounters an error in the Scripting Editor.  This exposes the <strong>Display Editor On Error</strong> setting in the MAXScript tab of the Preference Settings dialog, and the setting persists between 3ds Max sessions.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> This setting is also exposed as the system global <code>preferences.displayScriptEditorOnError</code>.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">scriptEditor.isVisible:&lt;systemGlobal&gt;; Public)</code></pre><p>Gets/sets whether the Scripting Editor window is visible.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";