var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8CD4CF88-74E8-4DAE-9D78-F5480ADFADCF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What Was New in MAXScript in 3ds Max 2023 and Updates</h1></div><p>This topic will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2023</strong> and updates. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2023-3-update\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in MAXScript in 3ds Max 2023.3 Update</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Missing Items</td>\n\
<td>Several previously missing methods in the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Skin-Modifier.html\"\"><code>SkinOps</code></a> interface are now documented.</td>\n\
</tr>\n\
<tr>\n\
<td>Deprecated Items</td>\n\
<td>The <code>qat</code> Interface is deprecated and has been removed.</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2023-2-update\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in MAXScript in 3ds Max 2023.2 Update</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Array Modifier</td>\n\
<td>New <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Parametric-Modifiers/Array_Modifier.html\"\"><code>Arraymodifier : Modifier</code></a> MAXScript exposure</td>\n\
</tr>\n\
<tr>\n\
<td>Collapse Utility</td>\n\
<td>The Collapse Utility functionality is now exposed in the new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-Collapse.html\"\"><code>collapse</code></a> interface.</td>\n\
</tr>\n\
<tr>\n\
<td>Previously Undocumented Items</td>\n\
<td>Previously undocumented functions are now documented:  <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\"\"><code>setNumberThreads()</code></a>, <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\"\"><code>isWorldSpaceObject()</code></a><br>The <code>#all</code> option for <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Vertex-Methods.html\"\"><code>meshop.getverts()</code></a> and <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\"\"><code>meshop.getfaces()</code></a></td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2023-1-update\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in MAXScript in 3ds Max 2023.1 Update</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>SpaceWarp Objects Exposed Properties</td>\n\
<td>Several missing properties on various SpaceWarp objects have been exposed:<br><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceBend-SpacewarpObject.html\"\">SpaceBend</a>: <code>.fromTo</code> and <code>.bendAxis</code><br><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceNoise-SpacewarpObject.html\"\">SpaceNoise</a>: <code>.animate</code> and <code>.frequency</code><br><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceSkew-SpacewarpObject.html\"\">SpaceSkew</a>: <code>.axis</code> and <code>.limit</code><br><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceStretch-SpacewarpObject.html\"\">SpaceStretch</a>: <code>.axis</code> and <code>.limit</code><br>SpaceTaper: <code>.primaryAxis</code>, <code>.effectAxis</code>, and <code>.limit</code><br><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceTwist-SpacewarpObject.html\"\">SpaceTwist</a>: <code>.axis</code> and <code>.limit</code></td>\n\
</tr>\n\
<tr>\n\
<td>Suppressing Scene Converter Warnings</td>\n\
<td>New methods have been added to the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneConverter.html\"\"><code>SceneConverter Interface</code></a> to register / de-register object types by class ID to prevent warnings when they are missing in converted scene files: <code>AddSilentClassID()</code>, <code>ClearSilentClassIDs()</code> and <code>IsSilentClassID()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>Material Library Previous Version Support</td>\n\
<td>Methods that save material libraries now take an optional <code>saveAsVersion:&lt;integer&gt;</code> parameter to specify a previous version of 3ds Max that the library can be compatible with: <a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\"\"><code>saveTempMaterialLibrary()</code></a>, <a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\"\"><code>saveMaterialLibrary()</code></a>,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\"\"><code>sme.SaveMtlLib()</code></a>, and <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\"\"><code>sme.SaveMtlLibAs()</code></a>.</td>\n\
</tr>\n\
<tr>\n\
<td>File loading and XRefs</td>\n\
<td>The <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\"#loading-max-files\"><code>loadMaxFile()</code></a> method takes a new <code>skipXRefs:&lt;boolean&gt;</code> parameter that allows you to disable xrefs on load to speed file loading.</td>\n\
</tr>\n\
<tr>\n\
<td>SVG Icon Support</td>\n\
<td>You can now use SVG format icons for custom icons, both as individual .svg files and compiled into .rcc archives in <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\"#icons\">Macro Scripts</a>.</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2023\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in MAXScript in 3ds Max 2023</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>Bake To Texture Common Map</strong></td>\n\
<td>You can now create <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Bake-Map-Plug-ins.html\"\">scripted Bake To Texture Map plug-ins</a> using the <code>CommonBakeMap</code> and <code>CommonBakeMapOperator</code> classes.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Autobackup</strong></td>\n\
<td>Several new properties and methods have been added to the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-autosave.html\"\"><code>autosave</code> interface</a> to expose new features and improvements in autobackup: <code>.prependSceneName</code>, <code>.finalCountdownInterval</code>, <code>.Compress</code>, <code>.tempDisable</code>, <code>&lt;void&gt;loadSettings()</code> and <code>&lt;void&gt;saveSettings()</code>.<br/>The autobackup interval is now specified as an integer, which changes these properties from a float to an integer: <code>autosave.interval</code>, <code>autobackup.time</code>.<br/>The <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Exiting-and-Resetting-3ds-Max.html\"\"><code>setSaveRequired() function</code></a> takes a new keyword argument <code>autobackupRequired:&lt;boolean&gt;</code>, that indicates whether an autobackup operation is required.</td>\n\
</tr>\n\
<tr>\n\
<td><strong><code>windows</code> Struct</strong></td>\n\
<td>The <a href=\"./../../Interaction-With-The-Operating/Windows-Structure.html\"\"><code>windows</code> struct</a> contains a new member, <code>isWindowEnabled HWND</code>, that returns true if the specified window is enabled (able to recieve mouse and keyboard inputs).<br/>The new <code>getFocus()</code> function returns the HWND of the window that currently has focus.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Spline Reverse</strong></td>\n\
<td>A new optional keyword parameter <code>keepFirstKnot:true|false</code> has been added to the <code>reverse()</code> function for <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\"\">SplineShape</a>, which preserves the location of the first knot in closed splines.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Progress Bar</strong></td>\n\
<td>The <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Progress-Bar-Display.html\"\">progress bar</a> <code>progressUpdate()</code> function takes a new keyword argument <code>stepName</code> that provides additional information to the user. The <code>progressStart()</code> function takes a new keyword argument <code>allowCancel:&lt;bool&gt;</code> that controls the display of the cancel button.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>pluginManager Interface</strong></td>\n\
<td>The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pluginManager.html\"\"><code>pluginManager.pluginDllDirectory()</code></a> function now returns just the directory path, not the full path including the plugin filename.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Vertex and Face Access by Material ID</strong></td>\n\
<td>Both <code>meshop</code> and <code>polyop</code> now have functions to return an array of vertices or faces that match a specified material ID: <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\"\"><code>meshop.getFacesByMatId()</code></a>, <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Vertex-Methods.html\"\"><code>meshop.getVertsByMatId()</code></a>, <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-MaterialId.html\"\"><code>polyop.getFacesByMatId()</code> and <code>polyop.getVertsByMatId()</code></a>.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>File Attribute Access Improvements</strong></td>\n\
<td>Additional file attribute names have been added for <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\"\">external files</a>, as well as new functions <code>getFileAttributeNames()</code>, <code>getFileAttributes()</code>, and <code>isFileAttributeSettable()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>OLE Automation</strong></td>\n\
<td>The <code>register_OLE_bridge.ms</code> script for setting up <a href=\"./../../Interaction-with-Other/OLE-Automation/Setting-Up-MAXScript-OLE.html\"\">MAXScript OLE Automation</a> is now shipped in the 3ds Max install <code>scripts/OLEAutomation</code> directory.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>glTF Export</strong></td>\n\
<td>The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/GLTF_Export.html\"\"><code>GLTF_Export plugin</code></a> and <a href=\"./../../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/glTFMaterial.html\"\"><code>glTFMaterial</code></a> classes expose the glTF export workflow to MAXScript.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Snap Pivot</strong></td>\n\
<td>The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SnapPivot.html\"\"><code>SnapPivot</code></a> interface exposes some of the functionality of the new Working Pivot improvements.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Real-Time Exporter</strong></td>\n\
<td>The <strong>Real-Time Exporter</strong> dialog can now be closed using <a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/GameExporter-UtilityPlugin.html\"\"><code>GameExporterHideDialog()</code></a></td>\n\
</tr>\n\
<tr>\n\
<td><strong>SceneScriptSecurityManager</strong></td>\n\
<td>New functions on the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneScriptSecurityManager.html\"\">SceneScriptSecurityManager</a> Interface expose locked settings: <code>AreSettingsLocked()</code>, <code>GetCauseOfLock()</code> and <code>IsSafeScriptAssetExecutionEnabled()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>manip interface</strong></td>\n\
<td>Two new methods on the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-manip.html\"\"><code>manip</code></a> interface control the new manipulators display setting: <code>getObjectManipulatorDisplayMode()</code> and <code>setObjectManipulatorDisplayMode()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>File Saving</strong></td>\n\
<td>The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"\"><code>maxOps</code></a> method <code>isSavingToFile()</code> returns true if 3ds Max is currently saving a file.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Hide By Category</strong></td>\n\
<td>The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/HideByCategory-Properties-and.html\"\"><code>hideByCategory</code></a> struct has a new property, <code>.nonrenderables</code>, which controls the show/hide status for non-renderable objects.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Previously undocumented items</strong></td>\n\
<td>The <code>snippet</code> argument for the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\"\">createPreview()</a> function is now documented. <br/>The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewportFilter.html\"\"><code>viewportFilter</code> interface</a> introduced in <strong>3ds Max 2022.3 Update</strong> is now documented.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Deprecated</strong></td>\n\
<td>The <code>ContainerPreferences.saveAsPreviousAccessType</code> is deprecated, setting this property has no effect. <br/> With the deprecation of Quicktime, <code>Combustion : TextureMap</code> and <code>Combustion.coordinates : MAXObject</code> have been removed from MAXScript. <br/></td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">What was New in MAXScript in Previous Versions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";